Mozilla Thunderbird < 78.8

high Nessus プラグイン ID 146783
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのWindowsホストにインストールされているメールクライアントは、複数の脆弱性の影響を受けます。

説明

リモートのWindowsホストにインストールされているThunderbirdは、78.8より前のバージョンです。したがって、mfsa2021-09アドバイザリに記載されている複数の脆弱性の影響を受けます。

-W3Cコンテンツセキュリティポリシーのドラフトで指定されているとおり、ユーザーエージェントは、違反レポートを作成するとき、ソースファイルが事前にリダイレクトしたページによってリクエストされたURLであることを確認する必要があります。それが不可能な場合、ユーザーエージェントは、意図しない漏洩を回避するために、生成元までURLを削除する必要があります。特定の種類のリダイレクトで、Thunderbirdがソースファイルをリダイレクト先として不適切に設定していました。これはリダイレクト先の起点になるように修正されました。(CVE-2021-23969)

-コンテンツセキュリティポリシーがフレームナビゲーションをブロックした場合、フレームで提供されるリダイレクトの完全な宛先が違反レポートで報告されました。元のフレームURIとは対照的です。これはそのようなURLに含まれる機密情報を漏洩するために使用される可能性があります。(CVE-2021-23968)

オーディオ/ビデオコンテキストでクロスオリジンリソースの読み込みを試行する際、デコーディングエラーが発生した可能性があり、エラーの内容によってリソースの情報が明らかになった可能性があります。(CVE-2021-23973)

-Mozilla開発者のAlexis Beingessner氏、Tyson Smith氏、Nika Laizell氏、およびMats Palmgren氏は、Thunderbird78.7に存在するメモリの安全性に関するバグを報告しました。これらのバグの一部にはメモリ破損の証拠が示されており、当社では、十分な労力をもってすればこれらの一部を悪用し、任意のコードを実行することが可能であると推測しています。(CVE-2021-23978)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Mozilla Thunderbirdをバージョン78.8以降にアップグレードしてください。

関連情報

https://www.mozilla.org/en-US/security/advisories/mfsa2021-09/

プラグインの詳細

深刻度: High

ID: 146783

ファイル名: mozilla_thunderbird_78_8.nasl

バージョン: 1.4

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2021/2/23

更新日: 2021/3/5

依存関係: mozilla_org_installed.nasl

リスク情報

CVSS スコアのソース: CVE-2021-23978

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:mozilla:thunderbird

必要な KB アイテム: Mozilla/Thunderbird/Version

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/2/23

脆弱性公開日: 2021/2/23

参照情報

CVE: CVE-2021-23968, CVE-2021-23969, CVE-2021-23973, CVE-2021-23978